﻿:root {
    --primary-color: #1a3a8a; /* الأزرق المستوحى من الشعار */
    --accent-color: #f3f4f6;
    --text-color: #333;
    --white: #ffffff;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Cairo', sans-serif;
}

body {
    background-color: var(--white);
    color: var(--text-color);
    line-height: 1.6;
}

.container {
    width: 90%;
    max-width: 90%;
    margin: auto;
}

/* Navbar */
.navbar {
    height: 120px;
    display: flex;
    align-items: center;
    background: var(--white);
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}

    .navbar .container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

.logo img {
    height: 130px;
    width: 200px;
}

.nav-links {
    display: flex;
    list-style: none;
}

    .nav-links li {
        margin-right: 30px;
    }

    .nav-links a {
        text-decoration: none;
        color: var(--text-color);
        font-weight: 600;
        transition: 0.3s;
    }

        .nav-links a:hover, .nav-links a.active {
            color: var(--primary-color);
            text-decoration: underline;
            text-underline-offset: 8px;
            text-decoration-color: #cd752e;
        }

/* Hero Section */
.hero {
    height: 100vh;
    background: linear-gradient(rgba(26, 58, 138, 0.8), rgba(26, 58, 138, 0.8)), url('https://images.unsplash.com/photo-1517649763962-0c623066013b?auto=format&fit=crop&w=1350&q=80');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: var(--white);
    margin-top: 120px;
}

.hero-content h1 {
    font-size: 3rem;
    margin-bottom: 20px;
}

.heroDetails {
    height: 25vh;
    background: linear-gradient(rgba(26, 58, 138, 0.8), rgba(26, 58, 138, 0.8)), url('https://images.unsplash.com/photo-1517649763962-0c623066013b?auto=format&fit=crop&w=1350&q=80');
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    color: var(--white);
    margin-top: 120px;
}

.hero-content h1 {
    font-size: 3rem;
    margin-bottom: 20px;
}


.hero-btns {
    margin-top: 30px;
}
.img-details {
    height: 500px !important;
    width: 500px;
}
.btn-primary, .btn-secondary {
    padding: 12px 30px;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    margin: 0 10px;
    transition: 0.3s;
}
.container-flex {
    display: flex;
    /* Optional: adds space between paragraphs */
    justify-content: space-between;
}

    /* Optional: styles the p tags */
    .container-flex p {
        flex: 1; /* Makes all paragraphs share space equally */
        padding: 10px; /* Adds some spacing inside the paragraphs */
        border: 1px solid #ccc;
        margin: 5px; /* Adds space between the paragraphs */
    }
.btn-primary {
    background: var(--white);
    color: var(--primary-color);
}

.btn-secondary {
    border: 2px solid var(--white);
    color: var(--white);
}

.btn-primary:hover {
    background: #e2e2e2;
}

/* Features Section */
.features {
    padding: 45px 0;
    padding-bottom: 0px !important;
}
.features-last{
    margin-bottom: 100px;
}
.features-last1 {
    margin-bottom: 50px;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.feature-card {
    /*background: var(--accent-color);*/
    padding: 40px;
    border-radius: 15px;
    text-align: center;
    transition: transform 0.3s;
}
.feature-card-Details {
    padding: 40px;
    border-radius: 15px;
    text-align: center;
    transition: transform 0.3s;
}
.feature-card-color-default {
    background: #bfbfbf9e;
}

.feature-card-color-ContactUS {
    background: #4747471a;
}
.feature-card-color {
    background: #6179b661;
}
.feature-card-Details-img {
    height: 20px;
    filter: brightness(0) saturate(100%) invert(12%) sepia(73%) saturate(2429%) hue-rotate(216deg) brightness(99%) contrast(90%);
    bottom: -3px;
    position: relative;
}

.feature-card-ContactUS-img {
    filter: brightness(0) saturate(100%) invert(47%) sepia(7%) saturate(6996%) hue-rotate(19deg) brightness(101%) contrast(98%);
    bottom: -3px;
    position: relative;
    margin-left: 10px;
}

.feature-card img {
    height: 20px;
    filter: brightness(0) saturate(100%) invert(12%) sepia(73%) saturate(2429%) hue-rotate(216deg) brightness(99%) contrast(90%);
    bottom: -3px;
    position: relative;
}
.contactus {
    text-align: right;
    margin: 10px 0px;
    font-size: 16px;
    font-weight: bold;
    color: #203882;
}
.grid-News {
    /*display: grid;*/
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    /*gap: 20px;*/
    display: grid; /* Establishes a grid container */
    /* Creates 3 columns, each taking up an equal fraction of the available space (1fr) */
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 10px; /* Adds space between grid items */
}
}
.feature-card-News {
    width: 96% !important;
}
.aboutus li {
    text-align: right;
}

    .feature-card:hover {
        transform: translateY(-10px);
        border-bottom: 4px solid var(--primary-color);
    }

/* Mobile Menu */
.burger {
    display: none;
    cursor: pointer;
}

    .burger div {
        width: 25px;
        height: 3px;
        background-color: var(--text-color);
        margin: 5px;
        transition: 0.3s;
    }
footer {
    width: 100%;
    background: #1c367f;
    color: #fff;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 10px;
    bottom: -11px;
    position: fixed;
    padding-top: 15px;
    height: 55px;
}

.text_box {
    margin-bottom: 15px;
}

    .text_box input[type="text"], .text_box textarea, .text_box input[type="password"], .text_box input[type="email"] {
        font: 400 15px / 60px "Poppins", sans-serif;
        color: #1a337d;
        height: 40px;
        border-radius: 10px;
        background-color: white;
        -webkit-box-shadow: 0px 2px 4px 0px rgba(12, 0, 46, 0.04);
        box-shadow: 0px 2px 4px 0px rgba(12, 0, 46, 0.04);
        width: 100%;
        border: 1px solid #4469ed;
        padding-right: 12px;
    }

        .text_box input[type="text"].placeholder, .text_box textarea.placeholder, .text_box input[type="password"].placeholder, .text_box input[type="email"].placeholder {
            color: #1a337d;
        }

        .text_box input[type="text"]:-moz-placeholder, .text_box textarea:-moz-placeholder, .text_box input[type="password"]:-moz-placeholder, .text_box input[type="email"]:-moz-placeholder {
            color: #1a337d;
        }

        .text_box input[type="text"]::-moz-placeholder, .text_box textarea::-moz-placeholder, .text_box input[type="password"]::-moz-placeholder, .text_box input[type="email"]::-moz-placeholder {
            color: #1a337d;
        }

        .text_box input[type="text"]::-webkit-input-placeholder, .text_box textarea::-webkit-input-placeholder, .text_box input[type="password"]::-webkit-input-placeholder, .text_box input[type="email"]::-webkit-input-placeholder {
            color: #1a337d;
        }

        .text_box input[type="text"]:focus, .text_box textarea:focus, .text_box input[type="password"]:focus, .text_box input[type="email"]:focus {
            /*            border-color: #4469ed;*/
            -webkit-box-shadow: 0px 10px 14px 0px rgba(12, 0, 46, 0.06);
            box-shadow: 0px 10px 14px 0px rgba(12, 0, 46, 0.06);
            outline: none;
            border: 1px solid #cd752e;
        }

    .text_box textarea {
        height: 220px;
    }

.btn_three {
    font: 500 14px "Poppins", sans-serif;
    color: #fff;
    background: #7444fd;
    border-radius: 3px;
    padding: 7px 30px;
    border: 1px solid #7444fd;
    margin-top: 0px;
    -webkit-transition: all 0.3s linear;
    -o-transition: all 0.3s linear;
    transition: all 0.3s linear;
    cursor: pointer;
    display: inline-block;
}

    .btn_three:hover {
        color: #fff;
        background: rgb(85 103 155) !important;
        border-color: rgb(85 103 155) !important;
        border-radius: 8px;
    }
.btn-sendMessage {
    background: rgb(220 164 52) !important;
    color: #fff;
    border-radius: 8px;
    width: 100%;
    border-color: rgb(220 164 52) !important;
    font-size: 20px;
    font-weight: bolder;
}
@media (max-width: 768px) {
    .nav-links {
        position: absolute;
        left: 0;
        height: 92vh;
        top: 80px;
        background-color: var(--white);
        flex-direction: column;
        align-items: center;
        width: 100%;
        transform: translateX(-100%);
        transition: transform 0.5s ease-in;
        padding-top: 50px;
    }

        .nav-links li {
            margin: 20px 0;
        }

    .burger {
        display: block;
    }

    .nav-active {
        transform: translateX(0%);
    }
}
